org.yaml.snakeyaml.constructor

## Class DuplicateKeyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.yaml.snakeyaml.error.YAMLException
        - - org.yaml.snakeyaml.error.MarkedYAMLException
          - - org.yaml.snakeyaml.constructor.ConstructorException
            - - org.yaml.snakeyaml.constructor.DuplicateKeyException

All Implemented Interfaces:
  Serializable

    public class DuplicateKeyException
    extends ConstructorException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `DuplicateKeyException(Mark contextMark, Object key, Mark problemMark)`

### Method Summary

### Methods inherited from class org.yaml.snakeyaml.error.MarkedYAMLException

`getContext, getContextMark, getMessage, getProblem, getProblemMark, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DuplicateKeyException

    protected DuplicateKeyException(Mark contextMark,
                         Object key,
                         Mark problemMark)